# ****************************************************************
# Material name : bibi2
# Created by BIBI
#           With Blender3D and BlenderShadersTools Add-on
# ****************************************************************

# Imports :
import bpy
import os

# Context :
obj = bpy.context.object
tex = bpy.context.active_object.active_material

# Script Path :
Mat_Name = "bibi2"
Inf_Creator = "BIBI"
!*- environnement path -*!

test = Mat_Name + "_" + Inf_Creator + ".py"
scriptPath = scriptPath.replace(test, "")

# Create Material :
def CreateMaterial(Mat_Name):
	# Materials Values :
	mat = bpy.data.materials.new(Mat_Name)
	mat.diffuse_color[0] = 0.9165034294128418
	mat.diffuse_color[1] = 0.7356162667274475
	mat.diffuse_color[2] = 0.08576405048370361
	mat.diffuse_shader = "LAMBERT"
	mat.diffuse_intensity = 0.800000011920929
	mat.roughness = 0.5
	mat.diffuse_toon_size = 0.5
	mat.diffuse_toon_smooth = 0.10000000149011612
	mat.darkness  = 1.0
	mat.diffuse_fresnel = 0.10000000149011612
	mat.diffuse_fresnel_factor  = 0.5
	mat.specular_shader  = "COOKTORR"
	mat.specular_color[0] = 0.9430636167526245
	mat.specular_color[1] = 0.7360252737998962
	mat.specular_color[2] = 0.48059016466140747
	mat.specular_intensity = 0.5
	mat.specular_hardness = 50
	mat.specular_ior = 4.0
	mat.specular_toon_size = 0.5
	mat.specular_toon_smooth = 0.10000000149011612
	mat.emit = 0.0
	mat.ambient  = 1.0
	mat.translucency = 0.0
	mat.use_shadeless = False
	mat.use_tangent_shading = False
	mat.use_transparency = True
	mat.transparency_method = "RAYTRACE"
	mat.alpha = 0.0
	mat.raytrace_transparency.fresnel = 0.0
	mat.specular_alpha = 0.36730360984802246
	mat.raytrace_transparency.fresnel_factor = 1.0
	mat.raytrace_transparency.ior = 1.2363975048065186
	mat.raytrace_transparency.filter = 1.0
	mat.raytrace_transparency.falloff = 2.7268285751342773
	mat.raytrace_transparency.depth_max = 2.73734188079834
	mat.raytrace_transparency.depth = 2
	mat.raytrace_transparency.gloss_factor = 1.0
	mat.raytrace_transparency.gloss_threshold = 0.004999999888241291
	mat.raytrace_transparency.gloss_samples = 18
	mat.raytrace_mirror.use = True
	mat.raytrace_mirror.reflect_factor = 0.17192545533180237
	mat.raytrace_mirror.fresnel = 2.1214399337768555
	mat.mirror_color[0] = 1.0
	mat.mirror_color[1] = 1.0
	mat.mirror_color[2] = 1.0
	mat.raytrace_mirror.fresnel_factor = 1.25
	mat.raytrace_mirror.depth = 2
	mat.raytrace_mirror.distance = 0.0
	mat.raytrace_mirror.fade_to = "FADE_TO_SKY"
	mat.raytrace_mirror.gloss_factor = 1.0
	mat.raytrace_mirror.gloss_threshold = 0.004999999888241291
	mat.raytrace_mirror.gloss_samples = 18
	mat.raytrace_mirror.gloss_anisotropic = 1.0
	mat.subsurface_scattering.use  = False
	mat.subsurface_scattering.ior = 1.2999999523162842
	mat.subsurface_scattering.scale = 0.10000000149011612
	mat.subsurface_scattering.color[0] = 0.800000011920929
	mat.subsurface_scattering.color[1] = 0.800000011920929
	mat.subsurface_scattering.color[2] = 0.800000011920929
	mat.subsurface_scattering.color_factor = 1.0
	mat.subsurface_scattering.texture_factor = 0.0
	mat.subsurface_scattering.radius[0] = 1.0
	mat.subsurface_scattering.radius[1] = 1.0
	mat.subsurface_scattering.radius[2] = 1.0
	mat.subsurface_scattering.front = 1.0
	mat.subsurface_scattering.back = 1.0
	mat.subsurface_scattering.error_threshold = 0.05000000074505806
	mat.strand.root_size = 1.0
	mat.strand.tip_size = 1.0
	mat.strand.size_min = 1.0
	mat.strand.use_blender_units = False
	mat.strand.use_tangent_shading = True
	mat.strand.shape = 0.0
	mat.strand.width_fade = 0.0
	mat.strand.blend_distance = 0.0
	mat.use_raytrace = True
	mat.use_full_oversampling = False
	mat.use_sky = False
	mat.use_mist = True
	mat.invert_z = False
	mat.offset_z = 0.0
	mat.use_face_texture = False
	mat.use_face_texture_alpha = False
	mat.use_vertex_color_paint = False
	mat.use_vertex_color_light = False
	mat.use_object_color = False
	mat.pass_index = 0
	mat.use_shadows = True
	mat.use_transparent_shadows = True
	mat.use_cast_shadows_only = False
	mat.shadow_cast_alpha = 1.0
	mat.use_only_shadow = False
	mat.shadow_only_type = "SHADOW_ONLY_OLD"
	mat.use_cast_buffer_shadows = True
	mat.shadow_buffer_bias = 0.0
	mat.use_ray_shadow_bias = False
	mat.shadow_ray_bias = 0.0
	mat.use_cast_approximate = True
	return mat

bpy.ops.object.material_slot_add()
obj.material_slots[obj.material_slots.__len__() - 1].material = CreateMaterial("MAT_EXP_bibi2")



#Create texture : Clouds.001.
mytex = bpy.data.textures.new(name="Clouds.001", type="CLOUDS")
slot =  obj.active_material.texture_slots.add()
slot.texture = mytex
slot.texture.use_preview_alpha  = False
slot.texture.cloud_type  = "GREYSCALE"
slot.texture.noise_type  = "SOFT_NOISE"
slot.texture.noise_basis  = "BLENDER_ORIGINAL"
slot.texture.noise_scale  = 0.25
slot.texture.nabla  = 0.02500000037252903
slot.texture.noise_depth  = 2
slot.texture.factor_red  =  1.0 
slot.texture.factor_green  =  1.0 
slot.texture.factor_blue  =  1.0 
slot.texture.intensity  =  1.3819957971572876 
slot.texture.contrast  =  0.7067447900772095 
slot.texture.saturation  =  1.0 
slot.texture_coords  =  "ORCO" 
slot.mapping  =  "FLAT" 
slot.use_from_dupli  =  False 
slot.mapping_x  =  "X" 
slot.mapping_y  =  "Y" 
slot.mapping_z  =  "Z" 
slot.offset[0]  =  0.0 
slot.offset[1]  =  0.0 
slot.offset[2]  =  0.0 
slot.scale[0]  =  0.30000001192092896 
slot.scale[1]  =  0.30000001192092896 
slot.scale[2]  =  0.30000001192092896 
slot.use_map_diffuse  =  False 
slot.use_map_color_diffuse  =  False 
slot.use_map_alpha  =  False 
slot.use_map_translucency  =  False 
slot.use_map_specular  =  False 
slot.use_map_color_spec  =  False 
slot.use_map_hardness  =  False 
slot.use_map_ambient  =  False 
slot.use_map_emit  =  False 
slot.use_map_mirror  =  False 
slot.use_map_raymir  =  False 
slot.use_map_normal  =  False 
slot.use_map_warp  =  False 
slot.use_map_displacement  =  True 
slot.use_rgb_to_intensity  =  False 
slot.invert =  False 
slot.diffuse_factor  =  1.0 
slot.diffuse_color_factor  =  1.0 
slot.alpha_factor  =  1.0 
slot.translucency_factor  =  1.0 
slot.specular_factor  =  1.0 
slot.specular_color_factor  =  1.0 
slot.hardness_factor  =  1.0 
slot.ambient_factor  =  1.0 
slot.emit_factor  =  1.0 
slot.mirror_factor  =  1.0 
slot.raymir_factor  =  1.0 
slot.normal_factor  =  0.5 
slot.warp_factor  =  0.0 
slot.displacement_factor  =  0.13353760540485382 
slot.default_value  =  1.0 
slot.color[0]  =  1.0 
slot.color[1]  =  0.0 
slot.color[2]  =  1.0 
slot.bump_method  =  "BUMP_ORIGINAL" 
slot.bump_objectspace  =  "BUMP_VIEWSPACE" 
slot.use_stencil  = False
slot.blend_type  =  "MIX" 

#Create texture : Voronoi.001.
mytex = bpy.data.textures.new(name="Voronoi.001", type="VORONOI")
slot =  obj.active_material.texture_slots.add()
slot.texture = mytex
slot.texture.use_preview_alpha  = False
slot.texture.noise_intensity  = 4.116878986358643
slot.texture.distance_metric  = "DISTANCE_SQUARED"
slot.texture.minkovsky_exponent  = 2.5
slot.texture.color_mode  = "INTENSITY"
slot.texture.noise_scale  = 0.2140018343925476
slot.texture.nabla  = 0.02500000037252903
slot.texture.weight_1  = 1.0
slot.texture.weight_2  = 0.06876874715089798
slot.texture.weight_3  = -0.17630551755428314
slot.texture.weight_4  = 0.29384279251098633
slot.texture.factor_red  =  1.0 
slot.texture.factor_green  =  1.0 
slot.texture.factor_blue  =  1.0 
slot.texture.intensity  =  1.2644586563110352 
slot.texture.contrast  =  3.1994144916534424 
slot.texture.saturation  =  1.0 
slot.texture_coords  =  "ORCO" 
slot.mapping  =  "FLAT" 
slot.use_from_dupli  =  False 
slot.mapping_x  =  "X" 
slot.mapping_y  =  "Y" 
slot.mapping_z  =  "Z" 
slot.offset[0]  =  0.0 
slot.offset[1]  =  0.0 
slot.offset[2]  =  0.0 
slot.scale[0]  =  1.0 
slot.scale[1]  =  1.0 
slot.scale[2]  =  1.0 
slot.use_map_diffuse  =  False 
slot.use_map_color_diffuse  =  True 
slot.use_map_alpha  =  False 
slot.use_map_translucency  =  False 
slot.use_map_specular  =  False 
slot.use_map_color_spec  =  False 
slot.use_map_hardness  =  False 
slot.use_map_ambient  =  False 
slot.use_map_emit  =  False 
slot.use_map_mirror  =  False 
slot.use_map_raymir  =  False 
slot.use_map_normal  =  False 
slot.use_map_warp  =  False 
slot.use_map_displacement  =  False 
slot.use_rgb_to_intensity  =  False 
slot.invert =  False 
slot.diffuse_factor  =  1.0 
slot.diffuse_color_factor  =  1.0 
slot.alpha_factor  =  1.0 
slot.translucency_factor  =  1.0 
slot.specular_factor  =  1.0 
slot.specular_color_factor  =  1.0 
slot.hardness_factor  =  1.0 
slot.ambient_factor  =  1.0 
slot.emit_factor  =  1.0 
slot.mirror_factor  =  1.0 
slot.raymir_factor  =  1.0 
slot.normal_factor  =  0.5 
slot.warp_factor  =  0.0 
slot.displacement_factor  =  0.20000000298023224 
slot.default_value  =  1.0 
slot.color[0]  =  1.0 
slot.color[1]  =  0.0 
slot.color[2]  =  1.0 
slot.bump_method  =  "BUMP_ORIGINAL" 
slot.bump_objectspace  =  "BUMP_VIEWSPACE" 
slot.use_stencil  = False
slot.blend_type  =  "MIX" 


# Create new context :
ramp = bpy.context.object.active_material
RAMP_MIN_POSITION = 0.0
RAMP_MAX_POSITION = 1.0


# Texture color ramps datas 1 :
ramp.texture_slots[1].texture.use_color_ramp = True
RAMP_MIN_POSITION = 0.0
RAMP_MAX_POSITION = 1.0

RAMP_MIN_POSITION =0.0
ramp.texture_slots[1].texture.color_ramp.elements[0].position=0.0
ramp.texture_slots[1].texture.color_ramp.interpolation  =  "LINEAR" 
ramp.texture_slots[1].texture.color_ramp.elements[0].color[0]  =  0.04801001772284508 
ramp.texture_slots[1].texture.color_ramp.elements[0].color[1]  =  0.26910459995269775 
ramp.texture_slots[1].texture.color_ramp.elements[0].color[2]  =  0.03347822278738022 
ramp.texture_slots[1].texture.color_ramp.elements[0].color[3]  =  1.0 

# Texture color ramps datas 1 :
ramp.texture_slots[1].texture.color_ramp.elements.new(position=0.5)
ramp.texture_slots[1].texture.color_ramp.interpolation  =  "LINEAR" 
ramp.texture_slots[1].texture.color_ramp.elements[1].color[0]  =  0.5 
ramp.texture_slots[1].texture.color_ramp.elements[1].color[1]  =  0.5 
ramp.texture_slots[1].texture.color_ramp.elements[1].color[2]  =  0.5 
ramp.texture_slots[1].texture.color_ramp.elements[1].color[3]  =  1.0 

# Texture color ramps datas 1 :
RAMP_MAX_POSITION =1.0
ramp.texture_slots[1].texture.color_ramp.elements[2].position=1.0
ramp.texture_slots[1].texture.color_ramp.interpolation  =  "LINEAR" 
ramp.texture_slots[1].texture.color_ramp.elements[2].color[0]  =  0.3076402246952057 
ramp.texture_slots[1].texture.color_ramp.elements[2].color[1]  =  0.08668766170740128 
ramp.texture_slots[1].texture.color_ramp.elements[2].color[2]  =  0.021675126627087593 
ramp.texture_slots[1].texture.color_ramp.elements[2].color[3]  =  0.0 
ramp.texture_slots[1].texture.color_ramp.elements[0].position = RAMP_MIN_POSITION 
ramp.texture_slots[1].texture.color_ramp.elements[2].position = RAMP_MAX_POSITION 
